diff --git a/base/common/src/com/netscape/cms/client/cert/CertHoldCLI.java b/base/common/src/com/netscape/cms/client/cert/CertHoldCLI.java
index 598c1e6647d5129fb10845a32c90ed5a60e6fba9..1e283b722fee34d2eaac38e8ccca20e28ecf1cfa 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertHoldCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertHoldCLI.java
@@ -31,7 +31,7 @@ import com.netscape.certsrv.request.RequestStatus;
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
 import com.netscape.cms.servlet.cert.model.CertRevokeRequest;
-import com.netscape.cms.servlet.cert.model.CertificateData;
+import com.netscape.cms.servlet.cert.model.CertData;
 import com.netscape.cms.servlet.request.model.CertRequestInfo;
 
 /**
@@ -80,7 +80,7 @@ public class CertHoldCLI extends CLI {
 
         if (!cmd.hasOption("force")) {
 
-            CertificateData certData = parent.client.getCert(certID);
+            CertData certData = parent.client.getCert(certID);
 
             System.out.println("Placing certificate on-hold:");
 
@@ -108,7 +108,7 @@ public class CertHoldCLI extends CLI {
 
         if (certRequestInfo.getRequestStatus() == RequestStatus.COMPLETE) {
             MainCLI.printMessage("Placed certificate \"" + certID.toHexString() + "\" on-hold");
-            CertificateData certData = parent.client.getCert(certID);
+            CertData certData = parent.client.getCert(certID);
             CertCLI.printCertData(certData, false, false);
 
         } else {
diff --git a/base/common/src/com/netscape/cms/client/cert/CertReleaseHoldCLI.java b/base/common/src/com/netscape/cms/client/cert/CertReleaseHoldCLI.java
index 0d39aff88e5c8a9ee81e37ac5d01b7845e8d5038..920c642e54fd2a131de61d57d9007fab923964ef 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertReleaseHoldCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertReleaseHoldCLI.java
@@ -28,7 +28,7 @@ import com.netscape.certsrv.request.RequestStatus;
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
 import com.netscape.cms.servlet.cert.model.CertUnrevokeRequest;
-import com.netscape.cms.servlet.cert.model.CertificateData;
+import com.netscape.cms.servlet.cert.model.CertData;
 import com.netscape.cms.servlet.request.model.CertRequestInfo;
 
 /**
@@ -73,7 +73,7 @@ public class CertReleaseHoldCLI extends CLI {
 
         if (!cmd.hasOption("force")) {
 
-            CertificateData certData = parent.client.getCert(certID);
+            CertData certData = parent.client.getCert(certID);
 
             System.out.println("Placing certificate off-hold:");
 
@@ -99,7 +99,7 @@ public class CertReleaseHoldCLI extends CLI {
 
         if (certRequestInfo.getRequestStatus() == RequestStatus.COMPLETE) {
             MainCLI.printMessage("Placed certificate \"" + certID.toHexString() + "\" off-hold");
-            CertificateData certData = parent.client.getCert(certID);
+            CertData certData = parent.client.getCert(certID);
             CertCLI.printCertData(certData, false, false);
 
         } else {
diff --git a/base/common/src/com/netscape/cms/client/cert/CertRequestApproveCLI.java b/base/common/src/com/netscape/cms/client/cert/CertRequestApproveCLI.java
index 3d729424fec00ab6318fccb2f51ef70cd33e6fe1..91cb26e1471e1537ec75e898487aceb962fdce25 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertRequestApproveCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertRequestApproveCLI.java
@@ -12,8 +12,8 @@ import org.apache.commons.cli.ParseException;
 
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
-import com.netscape.cms.servlet.base.CMSException;
-import com.netscape.cms.servlet.request.model.AgentEnrollmentRequestData;
+import com.netscape.cms.servlet.base.PKIException;
+import com.netscape.cms.servlet.request.model.CertReviewResponse;
 
 public class CertRequestApproveCLI extends CLI {
     CertCLI parent;
@@ -42,14 +42,14 @@ public class CertRequestApproveCLI extends CLI {
             printHelp();
             System.exit(-1);
         }
-        AgentEnrollmentRequestData reviewInfo = null;
+        CertReviewResponse reviewInfo = null;
         try {
-            JAXBContext context = JAXBContext.newInstance(AgentEnrollmentRequestData.class);
+            JAXBContext context = JAXBContext.newInstance(CertReviewResponse.class);
             Unmarshaller unmarshaller = context.createUnmarshaller();
             FileInputStream fis = new FileInputStream(cLineArgs[0].trim());
-            reviewInfo = (AgentEnrollmentRequestData) unmarshaller.unmarshal(fis);
+            reviewInfo = (CertReviewResponse) unmarshaller.unmarshal(fis);
             parent.client.approveRequest(reviewInfo.getRequestId(), reviewInfo);
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             System.err.println(e.getMessage());
             System.exit(-1);
         } catch (JAXBException e) {
diff --git a/base/common/src/com/netscape/cms/client/cert/CertRequestReviewCLI.java b/base/common/src/com/netscape/cms/client/cert/CertRequestReviewCLI.java
index 10c0e40fc49c4e395124b45ba4c82c4d99bd1cfd..61c8506e7e31feadf4a7dfd1726d3ee41c1db6a3 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertRequestReviewCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertRequestReviewCLI.java
@@ -14,8 +14,8 @@ import org.apache.commons.cli.ParseException;
 import com.netscape.certsrv.request.RequestId;
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
-import com.netscape.cms.servlet.base.CMSException;
-import com.netscape.cms.servlet.request.model.AgentEnrollmentRequestData;
+import com.netscape.cms.servlet.base.PKIException;
+import com.netscape.cms.servlet.request.model.CertReviewResponse;
 
 public class CertRequestReviewCLI extends CLI {
 
@@ -71,16 +71,16 @@ public class CertRequestReviewCLI extends CLI {
             System.exit(-1);
         }
 
-        AgentEnrollmentRequestData reviewInfo = null;
+        CertReviewResponse reviewInfo = null;
         try {
             reviewInfo = parent.client.reviewRequest(reqId);
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             System.err.println(e.getMessage());
             System.exit(-1);
         }
 
         try {
-            JAXBContext context = JAXBContext.newInstance(AgentEnrollmentRequestData.class);
+            JAXBContext context = JAXBContext.newInstance(CertReviewResponse.class);
             Marshaller marshaller = context.createMarshaller();
             marshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, true);
 
diff --git a/base/common/src/com/netscape/cms/client/cert/CertRequestSubmitCLI.java b/base/common/src/com/netscape/cms/client/cert/CertRequestSubmitCLI.java
index e09f8be5b7aa5deaed60c526cc02ca185062fe9b..021400f755a1b7aadc0d7fb04a70f42d77e88a5f 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertRequestSubmitCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertRequestSubmitCLI.java
@@ -15,7 +15,7 @@ import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
 import com.netscape.cms.servlet.request.model.CertRequestInfo;
 import com.netscape.cms.servlet.request.model.CertRequestInfos;
-import com.netscape.cms.servlet.request.model.EnrollmentRequestData;
+import com.netscape.cms.servlet.request.model.CertEnrollmentRequest;
 
 public class CertRequestSubmitCLI extends CLI {
 
@@ -46,7 +46,7 @@ public class CertRequestSubmitCLI extends CLI {
             System.exit(-1);
         }
 
-        EnrollmentRequestData erd = null;
+        CertEnrollmentRequest erd = null;
 
         try {
             erd = getEnrollmentRequest(cLineArgs[0]);
@@ -62,12 +62,12 @@ public class CertRequestSubmitCLI extends CLI {
         }
     }
 
-    private EnrollmentRequestData getEnrollmentRequest(String fileName) throws JAXBException, FileNotFoundException {
-        EnrollmentRequestData erd = null;
-        JAXBContext context = JAXBContext.newInstance(EnrollmentRequestData.class);
+    private CertEnrollmentRequest getEnrollmentRequest(String fileName) throws JAXBException, FileNotFoundException {
+        CertEnrollmentRequest erd = null;
+        JAXBContext context = JAXBContext.newInstance(CertEnrollmentRequest.class);
         Unmarshaller unmarshaller = context.createUnmarshaller();
         FileInputStream fis = new FileInputStream(fileName);
-        erd = (EnrollmentRequestData) unmarshaller.unmarshal(fis);
+        erd = (CertEnrollmentRequest) unmarshaller.unmarshal(fis);
         return erd;
     }
 
diff --git a/base/common/src/com/netscape/cms/client/cert/CertRevokeCLI.java b/base/common/src/com/netscape/cms/client/cert/CertRevokeCLI.java
index ad3276c523472565d38d4384266c16db78fa0c0a..611e50c37d8d34342d13f958aa9c41d720a4be25 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertRevokeCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertRevokeCLI.java
@@ -31,7 +31,7 @@ import com.netscape.certsrv.request.RequestStatus;
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
 import com.netscape.cms.servlet.cert.model.CertRevokeRequest;
-import com.netscape.cms.servlet.cert.model.CertificateData;
+import com.netscape.cms.servlet.cert.model.CertData;
 import com.netscape.cms.servlet.request.model.CertRequestInfo;
 
 /**
@@ -107,7 +107,7 @@ public class CertRevokeCLI extends CLI {
 
         if (!cmd.hasOption("force")) {
 
-            CertificateData certData = parent.client.getCert(certID);
+            CertData certData = parent.client.getCert(certID);
 
             if (reason == RevocationReason.CERTIFICATE_HOLD) {
                 System.out.println("Placing certificate on-hold:");
@@ -154,7 +154,7 @@ public class CertRevokeCLI extends CLI {
                 MainCLI.printMessage("Revoked certificate \"" + certID.toHexString() + "\"");
             }
 
-            CertificateData certData = parent.client.getCert(certID);
+            CertData certData = parent.client.getCert(certID);
             CertCLI.printCertData(certData, false, false);
 
         } else {
diff --git a/base/common/src/com/netscape/cms/client/cert/CertShowCLI.java b/base/common/src/com/netscape/cms/client/cert/CertShowCLI.java
index 1389a0a42583ff1aae787ee81d7761f31a317549..a16e36f3fda6f8031fea8e496dbf9c5fd27f2155 100644
--- a/base/common/src/com/netscape/cms/client/cert/CertShowCLI.java
+++ b/base/common/src/com/netscape/cms/client/cert/CertShowCLI.java
@@ -27,7 +27,7 @@ import org.apache.commons.cli.Option;
 import com.netscape.certsrv.dbs.certdb.CertId;
 import com.netscape.cms.client.cli.CLI;
 import com.netscape.cms.client.cli.MainCLI;
-import com.netscape.cms.servlet.cert.model.CertificateData;
+import com.netscape.cms.servlet.cert.model.CertData;
 
 /**
  * @author Endi S. Dewata
@@ -78,7 +78,7 @@ public class CertShowCLI extends CLI {
         CertId certID = new CertId(cmdArgs[0]);
         String file = cmd.getOptionValue("output");
 
-        CertificateData certData = parent.client.getCert(certID);
+        CertData certData = parent.client.getCert(certID);
 
         String encoded = certData.getEncoded();
         if (encoded != null && file != null) {
diff --git a/base/common/src/com/netscape/cms/servlet/admin/GroupMemberService.java b/base/common/src/com/netscape/cms/servlet/admin/GroupMemberService.java
index 2a7419d33eb99ed1d6a0b2b7b3dba092fd23235e..7b4ccf3231d490be4a59a136d2b5989f912b6b0a 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/GroupMemberService.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/GroupMemberService.java
@@ -43,7 +43,7 @@ import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.user.UserResource;
 import com.netscape.certsrv.usrgrp.IGroup;
 import com.netscape.certsrv.usrgrp.IUGSubsystem;
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.base.PKIService;
 
 /**
@@ -81,13 +81,13 @@ public class GroupMemberService extends PKIService implements GroupMemberResourc
 
             if (groupID == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_NULL_RS_ID"));
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
             }
 
             IGroup group = userGroupManager.getGroupFromName(groupID);
             if (group == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("USRGRP_SRVLT_GROUP_NOT_EXIST"));
-                throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_GROUP_NOT_EXIST"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_GROUP_NOT_EXIST"));
             }
 
             GroupMemberCollection response = new GroupMemberCollection();
@@ -120,12 +120,12 @@ public class GroupMemberService extends PKIService implements GroupMemberResourc
 
             return response;
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             throw e;
 
         } catch (Exception e) {
             CMS.debug(e);
-            throw new CMSException(getUserMessage("CMS_INTERNAL_ERROR"));
+            throw new PKIException(getUserMessage("CMS_INTERNAL_ERROR"));
         }
     }
 
@@ -141,13 +141,13 @@ public class GroupMemberService extends PKIService implements GroupMemberResourc
         try {
             if (groupID == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_NULL_RS_ID"));
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
             }
 
             IGroup group = userGroupManager.getGroupFromName(groupID);
             if (group == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("USRGRP_SRVLT_GROUP_NOT_EXIST"));
-                throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_GROUP_NOT_EXIST"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_GROUP_NOT_EXIST"));
             }
 
             String memberID = groupMemberData.getID();
@@ -199,14 +199,14 @@ public class GroupMemberService extends PKIService implements GroupMemberResourc
                     .type(MediaType.APPLICATION_XML)
                     .build();
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             auditAddGroupMember(groupID, groupMemberData, ILogger.FAILURE);
             throw e;
 
         } catch (Exception e) {
             log(ILogger.LL_FAILURE, e.toString());
             auditAddGroupMember(groupID, groupMemberData, ILogger.FAILURE);
-            throw new CMSException(getUserMessage("CMS_USRGRP_USER_ADD_FAILED"));
+            throw new PKIException(getUserMessage("CMS_USRGRP_USER_ADD_FAILED"));
         }
     }
 
@@ -289,13 +289,13 @@ public class GroupMemberService extends PKIService implements GroupMemberResourc
         try {
             if (groupID == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_NULL_RS_ID"));
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
             }
 
             IGroup group = userGroupManager.getGroupFromName(groupID);
             if (group == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("USRGRP_SRVLT_GROUP_NOT_EXIST"));
-                throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_GROUP_NOT_EXIST"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_GROUP_NOT_EXIST"));
             }
 
             Enumeration<String> e = group.getMemberNames();
@@ -307,14 +307,14 @@ public class GroupMemberService extends PKIService implements GroupMemberResourc
                 return groupMemberData;
             }
 
-            throw new CMSException("Group member not found");
+            throw new PKIException("Group member not found");
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             throw e;
 
         } catch (Exception e) {
             log(ILogger.LL_FAILURE, e.toString());
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
     }
 
@@ -329,13 +329,13 @@ public class GroupMemberService extends PKIService implements GroupMemberResourc
         try {
             if (groupID == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_NULL_RS_ID"));
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
             }
 
             IGroup group = userGroupManager.getGroupFromName(groupID);
             if (group == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("USRGRP_SRVLT_GROUP_NOT_EXIST"));
-                throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_GROUP_NOT_EXIST"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_GROUP_NOT_EXIST"));
             }
 
             String member = groupMemberData.getID();
@@ -351,14 +351,14 @@ public class GroupMemberService extends PKIService implements GroupMemberResourc
 
             auditDeleteGroupMember(groupID, groupMemberData, ILogger.SUCCESS);
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             auditDeleteGroupMember(groupID, groupMemberData, ILogger.FAILURE);
             throw e;
 
         } catch (Exception e) {
             log(ILogger.LL_FAILURE, e.toString());
             auditDeleteGroupMember(groupID, groupMemberData, ILogger.FAILURE);
-            throw new CMSException(getUserMessage("CMS_USRGRP_USER_ADD_FAILED"));
+            throw new PKIException(getUserMessage("CMS_USRGRP_USER_ADD_FAILED"));
         }
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/admin/GroupService.java b/base/common/src/com/netscape/cms/servlet/admin/GroupService.java
index 868f142c88697319f1b752888991de7b30c60dc8..9f2e32cd1900e7682b2f37389cc1bda2922547cd 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/GroupService.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/GroupService.java
@@ -40,7 +40,7 @@ import com.netscape.certsrv.logging.IAuditor;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.usrgrp.IGroup;
 import com.netscape.certsrv.usrgrp.IUGSubsystem;
-import com.netscape.cms.servlet.base.CMSException;
+import com.netscape.cms.servlet.base.PKIException;
 import com.netscape.cms.servlet.base.PKIService;
 import com.netscape.cmsutil.ldap.LDAPUtil;
 
@@ -115,7 +115,7 @@ public class GroupService extends PKIService implements GroupResource {
             return response;
 
         } catch (Exception e) {
-            throw new CMSException(getUserMessage("CMS_INTERNAL_ERROR"));
+            throw new PKIException(getUserMessage("CMS_INTERNAL_ERROR"));
         }
     }
 
@@ -131,22 +131,22 @@ public class GroupService extends PKIService implements GroupResource {
         try {
             if (groupID == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_NULL_RS_ID"));
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
             }
 
             IGroup group = userGroupManager.getGroupFromName(groupID);
             if (group == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("USRGRP_SRVLT_GROUP_NOT_EXIST"));
-                throw new CMSException(getUserMessage("CMS_USRGRP_SRVLT_GROUP_NOT_EXIST"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_SRVLT_GROUP_NOT_EXIST"));
             }
 
             return createGroupData(group);
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             throw e;
 
         } catch (Exception e) {
-            throw new CMSException(getUserMessage("CMS_INTERNAL_ERROR"));
+            throw new PKIException(getUserMessage("CMS_INTERNAL_ERROR"));
         }
     }
 
@@ -173,7 +173,7 @@ public class GroupService extends PKIService implements GroupResource {
         try {
             if (groupID == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_NULL_RS_ID"));
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
             }
 
             IGroup group = userGroupManager.createGroup(groupID);
@@ -201,16 +201,16 @@ public class GroupService extends PKIService implements GroupResource {
                         .build();
 
             } catch (Exception e) {
-                throw new CMSException(getUserMessage("CMS_USRGRP_GROUP_ADD_FAILED"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_GROUP_ADD_FAILED"));
             }
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             auditAddGroup(groupID, groupData, ILogger.FAILURE);
             throw e;
 
         } catch (EBaseException e) {
             auditAddGroup(groupID, groupData, ILogger.FAILURE);
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
     }
 
@@ -237,7 +237,7 @@ public class GroupService extends PKIService implements GroupResource {
         try {
             if (groupID == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_NULL_RS_ID"));
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
             }
 
             IGroup group = userGroupManager.getGroupFromName(groupID);
@@ -261,16 +261,16 @@ public class GroupService extends PKIService implements GroupResource {
 
             } catch (Exception e) {
                 log(ILogger.LL_FAILURE, e.toString());
-                throw new CMSException(getUserMessage("CMS_USRGRP_GROUP_MODIFY_FAILED"));
+                throw new PKIException(getUserMessage("CMS_USRGRP_GROUP_MODIFY_FAILED"));
             }
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             auditModifyGroup(groupID, groupData, ILogger.FAILURE);
             throw e;
 
         } catch (EBaseException e) {
             auditModifyGroup(groupID, groupData, ILogger.FAILURE);
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
     }
 
@@ -295,7 +295,7 @@ public class GroupService extends PKIService implements GroupResource {
         try {
             if (groupID == null) {
                 log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_NULL_RS_ID"));
-                throw new CMSException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
+                throw new PKIException(getUserMessage("CMS_ADMIN_SRVLT_NULL_RS_ID"));
             }
 
             // if fails, let the exception fall through
@@ -303,13 +303,13 @@ public class GroupService extends PKIService implements GroupResource {
 
             auditDeleteGroup(groupID, ILogger.SUCCESS);
 
-        } catch (CMSException e) {
+        } catch (PKIException e) {
             auditDeleteGroup(groupID, ILogger.FAILURE);
             throw e;
 
         } catch (EBaseException e) {
             auditDeleteGroup(groupID, ILogger.FAILURE);
-            throw new CMSException(e.getMessage());
+            throw new PKIException(e.getMessage());
         }
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/admin/SystemCertService.java b/base/common/src/com/netscape/cms/servlet/admin/SystemCertService.java
index 2d86d71ea017f4d1ee48bb43a92c011cceb743b6..fe60160561b6cf4be0ad9bf91df9e9b3245e9e8a 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/SystemCertService.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/SystemCertService.java
@@ -27,7 +27,7 @@ import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
 import com.netscape.certsrv.security.ITransportKeyUnit;
 import com.netscape.cms.servlet.base.PKIService;
-import com.netscape.cms.servlet.cert.model.CertificateData;
+import com.netscape.cms.servlet.cert.model.CertData;
 
 /**
  * This is the class used to list, retrieve and modify system certificates for all Java subsystems.
@@ -41,7 +41,7 @@ public class SystemCertService extends PKIService implements SystemCertificateRe
      * Used to retrieve the transport certificate
      */
     public Response getTransportCert() {
-        CertificateData cert = null;
+        CertData cert = null;
         IKeyRecoveryAuthority kra = null;
 
         // auth and authz
diff --git a/base/common/src/com/netscape/cms/servlet/admin/SystemCertificateResource.java b/base/common/src/com/netscape/cms/servlet/admin/SystemCertificateResource.java
index aaf3fa129f2535763ae16ca2a496d0905a0dd23c..16b3b5b5d1ea280e67e3899640272a612d321231 100644
--- a/base/common/src/com/netscape/cms/servlet/admin/SystemCertificateResource.java
+++ b/base/common/src/com/netscape/cms/servlet/admin/SystemCertificateResource.java
@@ -8,7 +8,7 @@ import javax.ws.rs.core.Response;
 
 import org.jboss.resteasy.annotations.ClientResponseType;
 
-import com.netscape.cms.servlet.cert.model.CertificateData;
+import com.netscape.cms.servlet.cert.model.CertData;
 
 @Path("config/cert")
 public interface SystemCertificateResource {
@@ -18,7 +18,7 @@ public interface SystemCertificateResource {
      */
     @GET
     @Path("transport")
-    @ClientResponseType(entityType=CertificateData.class)
+    @ClientResponseType(entityType=CertData.class)
     @Produces({ MediaType.APPLICATION_XML, MediaType.APPLICATION_JSON })
     public Response getTransportCert();
 
